# Configure Kubernetes Provider to use in-cluster config
apiVersion: kubernetes.crossplane.io/v1alpha1
kind: ProviderConfig
metadata:
  name: kubernetes-provider
spec:
  credentials:
    source: InjectedIdentity
---
# Configure Helm Provider to use in-cluster config
apiVersion: helm.crossplane.io/v1beta1
kind: ProviderConfig
metadata:
  name: helm-provider
spec:
  credentials:
    source: InjectedIdentity
---
# Configure Civo Provider with API key
apiVersion: civo.crossplane.io/v1alpha1
kind: ProviderConfig
metadata:
  name: civo-provider
spec:
  region:
    NYC1
  credentials:
    source: Secret
    secretRef:
      namespace: crossplane-system
      name: civo-creds
      key: credentials
